09/11/2017 11:31 AM - Daniel Lobato Garcia

Status: Closed   
Target version: 1.19.0   

Difficulty: easy Fixed in Releases: 1.19.0

Triaged:  Found in Releases:  

Bugzilla link: 1489515 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5003

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1489515

Description of problem:

When querying the facts of a host the returned results are encapsulated in an additional hash of the hostname. This is inconsistent

with all other API responses on a per host level, e.g. the interfaces

[crash/LI] root@li-lc-1578:~# curl -K /opt/hoici/etc/sat6/curl-hoici.conf "-HContent-Type: application/json" "-d{\"per_page\":9999999}"

-XGET https://localhost:443/api/v2/hosts/23/facts {

"total": 217,

"subtotal": 1,

"page": 1,

"per_page": 9999999,

"search": " host = 23",

"sort": {

"by": null,

"order": null

},

"results":

{"li-lc-1441.hag.hilti.com":{"hardwaremodel":"x86_64","architecture":"x86_64",...."rubyplatform":"x86_64-linux","package_provider":"yu

m"}}

}

[crash/LI] root@li-lc-1578:~# curl -K /opt/hoici/etc/sat6/curl-hoici.conf "-HContent-Type: application/json" "-d{\"per_page\":9999999}"

-XGET https://localhost:443/api/v2/hosts/23/interfaces {

"total": 3,

"subtotal": 3,

"page": 1,

"per_page": 9999999,

"search": null,

"sort": {

"by": null,

"order": null

},

"results": [{"subnet_id":null,"subnet_name":null,"domain_id":1,...virtual":false}]

}

Steps to Reproduce:

1. Query hosts/X/facts

2. Query hosts/X/interfaces

Actual results:

Inconsistent return of results, the facst are inside results{"hostname":{}}

The interfaces are in the expected results:[]

Expected results:

Facts per hosts are directly underneath results returned like all other API calls.
Related issues:

Related to Hammer CLI - Bug #25167: Hammer error: Error: undefined method `co... Resolved

Related to Foreman - Bug #25188: API hosts/X/facts still inconsistent Closed

Associated revisions

Revision 8ebbbecf - 06/14/2018 05:30 PM - Shira Maximov

Fixes #20891 - Remove hostname from /hosts/x/facts results

Revision d7c67746 - 06/20/2018 07:20 AM - Michael Moll 

Fixes #19873 - Fix Style/MultilineIfModifier cop (#5705)

Refs #20891 - fix for new rubocop rules

Fixes #19873 - Fix Style/MultilineIfModifier cop

Revision 6ebba152 - 06/20/2018 07:22 AM - Michael Moll 

Fixes #19858 - Configure Style/EmptyMethod cop (#5703)

Refs #20891 - fix for new rubocop rules

Fixes #19858 - Configure Style/EmptyMethod cop

Revision 1f15c21b - 06/22/2018 07:53 AM - Michael Moll 

Refs #20891 - fix for new rubocop rules

History

#1 - 09/21/2017 05:07 PM - Marek Hulán

- Subject changed from API hosts/X/facts inconsistent and superfluous hostname hash in results response

 to API hosts/X/facts inconsistent and superfluous hostname hash in results response

- Category changed from 19 to Facts

- Difficulty set to easy

#2 - 11/02/2017 11:53 AM - Shira Maximov

- Status changed from New to Assigned

- Assignee set to Shira Maximov

- Target version set to 113

#3 - 11/14/2017 08:50 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5003 added

#4 - 06/14/2018 05:36 PM - Tomer Brisker

- translation missing: en.field_release set to 353

#5 - 06/14/2018 06:01 PM - Shira Maximov

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8ebbbecf36922c7a1f1c27610ddb1d14fe0467fa.

#6 - 10/12/2018 11:00 AM - Martin Bacovsky

- Related to Bug #25167: Hammer error: Error: undefined method `collect’ for added

#7 - 10/12/2018 12:01 PM - Martin Bacovsky

- Related to Bug #25188: API hosts/X/facts still inconsistent added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8ebbbecf36922c7a1f1c27610ddb1d14fe0467fa
http://www.tcpdf.org

